%define momorel 9
Summary: Arphic TrueType Font -- Big5 ming and kai face.
Name: truetype-fonts-zh_TW
Version: 2.11
Release: %{momorel}m
License: see "arphicpl.txt"
Group: User Interface/X
Source:	ftp://ftp.ring.gr.jp/pub/GNU/non-gnu/chinese-fonts-truetype/bsmi00lp.ttf.gz
Source1: ftp://ftp.ring.gr.jp/pub/GNU/non-gnu/chinese-fonts-truetype/bkai00mp.ttf.gz
Source2: arphicpl.txt
Source3: arphicpl-big5.txt
Source4: arphic-release.txt
Source10: ttfonts-zh_TW.scale
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: XFree86-font-utils
PreReq: sh-utils, chkfontpath
NoSource: 0
NoSource: 1

%description
Chinese TTF Fonts donated by Arphic company. Read the Arphic Public
License for details.

%prep
mkdir -p %{name}-%{PACKAGE_VERSION}/doc

%install
%define instancedir /usr/share/fonts/truetype/chinese-zh_TW
%define xfontdir /usr/X11R6/lib/X11/fonts/truetype-zh_TW

mkdir -p %{buildroot}%{instancedir}
mkdir -p %{buildroot}%{xfontdir}

gzip -cd %{SOURCE0} > %{buildroot}%{instancedir}/bsmi00lp.ttf
gzip -cd %{SOURCE1} > %{buildroot}%{instancedir}/bkai00mp.ttf

for i in bsmi00lp.ttf bkai00mp.ttf ; do
    ln -sf ../../../../../..%{_datadir}/fonts/truetype/chinese-zh_TW/$i %{buildroot}%{xfontdir}/$i
done

install -m0644 %{SOURCE10} %{buildroot}%{xfontdir}/fonts.scale

/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
			 -e /usr/X11R6/lib/X11/fonts/encodings/large \
			 %{buildroot}%{xfontdir}

cp -p %{SOURCE2} %{SOURCE3} %{SOURCE4} %{name}-%{PACKAGE_VERSION}/doc/

%post
if [ -x /usr/sbin/chkfontpath ]; then
  /usr/sbin/chkfontpath -qa %{xfontdir}
  if ! [ grep /usr/X11R6/lib/X11/fonts/truetype-zh_TW /etc/X11/XftConfig ] >& /dev/null ; then
    echo dir \"/usr/X11R6/lib/X11/fonts/truetype-zh_TW\" >> /etc/X11/XftConfig
  fi
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
  if [ -x /usr/sbin/chkfontpath ]; then
    /usr/sbin/chkfontpath -qr %{xfontdir}
    grep -v /usr/X11R6/lib/X11/fonts/truetype-zh_TW /etc/X11/XftConfig > /etc/X11/XftConfig.new
    mv /etc/X11/XftConfig.new /etc/X11/XftConfig
  fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/*
%dir %{instancedir}
%dir %{xfontdir}
%{xfontdir}/*.ttf
%config(noreplace) %{xfontdir}/fonts.dir
%config(noreplace) %{xfontdir}/fonts.scale
%config(noreplace) %{xfontdir}/encodings.dir

%defattr(644, root, root)
%{instancedir}/*.ttf

%ChangeLog
* Fri Oct 24 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.11-9m)
- revise spec file

* Sat May 18 2002 Toru Hoshina <t@kondara.org>
- (2.11-8k)
- mkfontdir tukattendaro korua.

* Sat Nov 10 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.11-6k)
- fix SPEC

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.11-4k)
- add/remove XftConfig.

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (2.11-2k)
